I have been attempting to compile PostgreSQL 6.5.3 on Caldera Linux 2.2,
so far without success.

Problem 1 (resolved): Caldera Linux 2.2 does not come with yacc or bison.
Fixed the problem by installing bison 1.28. Perhaps the installation
instructions should mention the requirement for yacc or bison the same way
as is done for flex.

Problem 2 (not resolved): undefined reference to 'crypt'. The following
excerpt
from make.log shows where this occurred:

gcc -o postgres access/SUBSYS.o bootstrap/SUBSYS.o catalog/SUBSYS.o
commands/SUBSYS.o executor/SUBSYS.o lib/SUBSYS.o libpq/SUBSYS.o
main/SUBSYS.o parser/SUBSYS.o nodes/SUBSYS.o optimizer/SUBSYS.o
port/SUBSYS.o postmaster/SUBSYS.o regex/SUBSYS.o rewrite/SUBSYS.o
storage/SUBSYS.o tcop/SUBSYS.o utils/SUBSYS.o
../utils/version.o -lnsl -ldl -lm -export-dynamic
libpq/SUBSYS.o: In function `crypt_verify':
libpq/SUBSYS.o(.text+0x3a64): undefined reference to `crypt'
libpq/SUBSYS.o: In function `verify_password':
libpq/SUBSYS.o(.text+0x3ca7): undefined reference to `crypt'
make[1]: *** [postgres] Error 1
make[1]: Leaving directory `/usr/src/pgsql/postgresql-6.5.3/src/backend'
make: *** [all] Error 2

I have attached config.log and make.log in case they contain any clues as to
the cause of the problem. Please let me know if you need any further
information.

Regards, Gord Tomlin
Action Software International
(a division of Mazda Computer Corporation)
Tel: (905) 470-7113, Fax: (905) 470-6507, gordt@actionsoftware.com

Search Discussions

Related Discussions

Discussion Navigation
viewthread | post
Discussion Overview
grouppgsql-ports @
categoriespostgresql
postedJan 17, '00 at 5:46p
activeJan 17, '00 at 5:46p
posts1
users1
websitepostgresql.org
irc#postgresql

1 user in discussion

Gord Tomlin: 1 post

People

Translate

site design / logo © 2022 Grokbase